/*notice*/
<template>
  <div class="notice">
    <div class="title">
      <h3>关于邀请参加第一届“智博杯”全国工业仿真软件应用设计大赛的通知</h3>
    </div>

    <p>各有关院校及研究单位：</p>
    <p>
      为贯彻国家发展自主可控工业软件产业的战略部署，提高仿真设计的软件开发、应用能力，深化产教融合、校企合作，创新高校人才培养机制，为国产仿真软件应用提供丰富的人才储备。中国国际智能产业博览会联合重庆市政府于2021年8月启动“第一届‘智博杯’全国工业仿真软件应用设计大赛”。大赛有关事项通知如下：
    </p>

    <h4>一、大赛宗旨</h4>
    <p>
      旨在依托国内龙头企业提供的应用场景、选题，使用国内自主可控的CAE云软件，邀请国内外高校教师及学生，进行工业仿真软件应用设计，设计成果由区块链工业版权平台保护、管理，从而推动自主知识产权的工业仿真软件普及，以及实现对工业仿真软件专业人才的培养。
    </p>

    <h4>二、组织架构</h4>
    <p>主办单位：智博会组委</p>
    <p>承办单位：重庆市工业软件产业园、重庆市工业软件应用发展协会、重庆赛迪工业和信息化研究院、重庆犀工科技</p>
    <p>协办单位：西安前沿动力、重庆小犀智能</p>

    <h4>三、参赛对象</h4>
    <p>
      国内外所有全日制在籍的高职学生、本科学生、一带一路国际留学生、研究生及教师。
    </p>

    <h4>四、大赛报名</h4>
    <p>(一)报名要求</p>
    <p>1.参赛学生以1人为竞赛小组，由学校教师代表统一报名；</p>
    <p>2.不同学校的学生不可联合组队；</p>
    <p>3.每组指导教师不超过2名，同一名指导教师可指导多组；</p>
    <p>4.各院校不限制报名人数。</p>
    <p>(二)时间及方式</p>
    <p>报名时间：2021年8月1日2021年9月1日；</p>
    <p>
      报名方式：由学校教师代表统一登录大赛官网(http://adicn.com/adi)进行报名。
    </p>
    <p>(三)参赛费用</p>
    <p>组委会为参赛学生提供在线课程、赛前练习、证书及邮寄等相关服务。</p>

    <h4>五、赛事安排</h4>
    <p>(一)赛制安排</p>
    <p>1.练习阶段</p>
    <p>9/1前，参赛者在大赛平台上练习。</p>
    <p>2.比赛阶段</p>
    <p>智博会期间，由大赛平台正式开题，12/31结束设计。</p>
    <p>(二)评选办法及奖项设置</p>
    <p>(1)参赛选手奖</p>
    <p>分别设置特、一、二、三等奖及优秀奖。</p>
    <p>(2)指导教师奖</p>
    <p>获奖选手指导教师可获得“优秀指导教师”称号。</p>
    <p>(3)优秀组织协同奖</p>
    <p>
      参赛组织工作成绩突出、经大赛组委会审批符合相关条件的单位，获“优秀组织协同单位”称号。
    </p>

    <h4>六、其他事项</h4>
    <p>大赛详细内容及后续安排，请参赛师生及时登录官网关注。</p>

    <h4></h4>
    <p class="right">“智博杯”全国工业仿真软件应用设计大赛组委会</p>
    <p class="right">2021年6月</p>

    <div class="injo" @click="canjia()">
      <img src="@/assets/match/cj.png" />
    </div>
  </div>
</template>
<script>
import { request } from '@/utils/request'

export default {
  name: 'notice',
  components: {},
  data() {
    return {
      userType: this.$store.getters.userType || 0, // 用户类型（0-个人 1-企业 2-子账户）
      realStatus: this.$store.getters.realStatus || 0, // 实名状态（0-未认证 1-认证中 2-认证通过 3-认证失败）
      userRole: sessionStorage.getItem('userRole'), // 用户角色(0-游客 1-设计师 2-owner 3-评委)
      showView: true,
      megagameId: '',
      uid: '',
    }
  },
  created() {
    this.megeme()
  },
  mounted() {},
  methods: {
    //获取当前大赛信息
    megeme() {
      const params = {
        transCode: 'D00027',
      }
      request(params)
        .then((res) => {
          this.megagameId = res.megagameId
          // this.uid=res.uid;
        })
        .catch((err) => {})
    },

    canjia() {
      let loginStatus = this.$store.getters.loginStatus
      if (loginStatus) {
        // 判断子账户是否实名
        if (this.userType == 2 || this.realStatus == 2) {
          this.noentry()
        } else {
          this.noentry()
          this.$message.error('请先去实名制')
          // this.$router.replace(`/userLayout/real`)
        }
      } else {
        this.$message.error('请先登录')
      }
    },
    //判断是否参赛
    noentry() {
      const params = {
        transCode: 'D00023',
        megagameId: this.megagameId,
        uid: this.$store.getters.userId,
      }
      request(params)
        .then((res) => {
          if (res.isJoin == 1) {
            this.$router.replace({
              path: '/matchLayout/timeline',
              query: { megagameId: this.megagameId, uid: this.uid },
            })
          } else {
            this.zhanghao()
          }
        })
        .catch((err) => {})
    },
    // 判断是子账号还是非子账号、、已实名验证或子账号的参赛接口

    // 是否参赛
    zhanghao() {
      const params = {
        transCode: 'D00028',
        megagameId: this.megagameId,
        uid: this.$store.getters.userId,
      }
      request(params)
        .then((res) => {})
        .catch((err) => {})
    },
  },
}
</script>

<style lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.notice {
  @include w_h();
  color: $color_f;
  line-height: 1.5;
  .title {
    text-align: center;
    h3 {
      display: inline-block;
      @include w_h(350px);
      font-size: 18px;
      font-weight: 400;
    }
  }
  p {
    font-size: 16px;
    &.right {
      padding: 0 60px;
      text-align: right;
    }
  }
  h4 {
    margin-top: 15px;
    padding: 10px 0;
    font-size: 16px;
    color: #fde800;
    font-weight: 400;
  }
  .injo {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    transition: all 0.3s;
    &:hover {
      cursor: pointer;
      opacity: 0.9;
      filter: hue-rotate(-8deg);
    }
  }
}
</style>